Bug 821251 - New libstdc++ fail on RHEL6.3
New libstdc++ fail on RHEL6.3
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc (Show other bugs)
All Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 1023566
  Show dependency treegraph
Reported: 2012-05-13 10:48 EDT by Marek Polacek
Modified: 2015-02-10 09:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-10 09:26:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Polacek 2012-05-13 10:48:43 EDT
gcc-4.4.6-3 -> gcc-4.4.6-4.

 		=== libstdc++ tests ===
@@ -1642,7 +1642,7 @@
 PASS: 22_locale/num_put/put/char/9.cc (test for excess errors)
 PASS: 22_locale/num_put/put/char/9.cc execution test
 PASS: 22_locale/num_put/put/char/9780-2.cc (test for excess errors)
-FAIL: 22_locale/num_put/put/char/9780-2.cc execution test
+PASS: 22_locale/num_put/put/char/9780-2.cc execution test
 PASS: 22_locale/num_put/put/char/wrapped_env.cc (test for excess errors)
 PASS: 22_locale/num_put/put/char/wrapped_env.cc execution test
 PASS: 22_locale/num_put/put/char/wrapped_locale.cc (test for excess errors)

Very likely not a gcc bug, might be just locales change, similar to Bug 771026,
but filing anyway to keep the record of it.  Happens on all arches.
Comment 2 RHEL Product and Program Management 2012-05-17 00:03:39 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Jakub Jelinek 2014-10-02 10:20:40 EDT
As the testcase changed (with https://gcc.gnu.org/ml/libstdc++/2011-12/msg00091.html ), this isn't really a regression IMHO, it is just testing a different testcase.

Note You need to log in before you can comment on or make changes to this bug.